package com.landray.kmss.sys.attachment.util;

import com.landray.kmss.framework.plugin.core.config.IExtension;
import com.landray.kmss.util.StringUtil;
import com.landray.kmss.sys.attachment.service.ISysAttComputingTimeService;
import java.util.ArrayList;
import com.landray.kmss.framework.service.plugin.Plugin;
import com.landray.kmss.sys.attachment.model.SysAttComputingTimePlugin;
import java.util.List;

public class SysAttComputingTimeUtil
{
    private static final String ID = "com.landray.kmss.sys.attachment.computing.time";
    private static List<SysAttComputingTimePlugin> extensionList;
    
    static {
        SysAttComputingTimeUtil.extensionList = null;
    }
    
    public static List<SysAttComputingTimePlugin> getExtensionList() {
        if (SysAttComputingTimeUtil.extensionList == null) {
            final IExtension[] extensions = Plugin.getExtensions("com.landray.kmss.sys.attachment.computing.time", "*", "time");
            SysAttComputingTimeUtil.extensionList = new ArrayList<SysAttComputingTimePlugin>();
            IExtension[] array;
            for (int length = (array = extensions).length, i = 0; i < length; ++i) {
                final IExtension extension = array[i];
                final SysAttComputingTimePlugin plugin = new SysAttComputingTimePlugin();
                plugin.setKey(Plugin.getParamValueString(extension, "key"));
                plugin.setName(Plugin.getParamValueString(extension, "name"));
                plugin.setProvider((ISysAttComputingTimeService)Plugin.getParamValue(extension, "provider"));
                final String timeInterval = Plugin.getParamValueString(extension, "timeInterval");
                if (StringUtil.isNotNull(timeInterval)) {
                    plugin.setTimeInterval(Integer.valueOf(Integer.parseInt(timeInterval)));
                }
                SysAttComputingTimeUtil.extensionList.add(plugin);
            }
        }
        return SysAttComputingTimeUtil.extensionList;
    }
}
